# Add Job

***

{% hint style="warning" %}
**Make sure that the Job has already been created!**
{% endhint %}

* For this, visit <mark style="color:orange;background-color:orange;">**wais-bodycamv2/Config.lua.**</mark>
* Here is an example for adding a new job
* The following contents of the new job must be filled in:
  * Need the <mark style="background-color:yellow;">**name**</mark> of the job to be added
  * The <mark style="background-color:yellow;">**vector3**</mark> axes of the coordinate where the menu will appear are required
  * You have to adjust how far away the menu is visible. Example: <mark style="background-color:yellow;">**3.0 @float**</mark>
  * Text to be seen is required to access the menu

{% hint style="danger" %}
**The Discord webhook system no longer provides media viewing for more than 24 hours**. For video upload and viewing system [**Fivemanage**](#user-content-fn-1)[^1] is my great recommendation.
{% endhint %}

```lua
Config.Jobs = {
    ["police"] = {
        ["watch"] = vector3(0.0, 0.0, 0.0),
        ["distance"] = 0.0,
        ["text"] = "Menu Text",
        ["uiSettings"] = {
            ["color"] = "#", -- Color of the main color theme of the menu (base on a lighter or pastel shade of the selected color)
            ["title"] = "", -- Menu title above the categories in the right browser
            ["subtitle"] = "", -- Subtitle on the right side
             ["videoUpload"] = {  -- api or webhook to forward when recordings are stopped 
                ["webhook"] = "https://discord.com/api/webhooks/xxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxx",
                ["fivemanage"] = false, -- https://www.fivemanage.com
                ["fivemanage_token"] = "", -- https://www.fivemanage.com
            },
            ["backgroundColor"] = "#", -- Background color of the menu (based on a more muted shade of the selected color)
            ["badgeSettings"] = {
                ["image"] = "", -- the photo that will appear on the back when the camera is turned on
                ["darkerColor"] = "#",  --  the color of the badge that will appear on the back when the camera is turned on
                ["lighterColor"] = "#", --  the color of the badge that will appear on the back when the camera is turned on
                ["departmentName"] = "" -- the name of the department that will appear on the back when the camera is turned on
            }
        }
    },
}
```

[^1]: <https://fivemanage.com>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/wais-resoucres/wais-bodycamv2/add-job.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
